package sun.awt.windows;

import sun.awt.PlatformFont;

final class WFontPeer extends PlatformFont
{
    private String textComponentFontName;
    
    public WFontPeer(String name, int style) {
        super(name, style);
        if (this.fontConfig != null) {
            this.textComponentFontName = ((WFontConfiguration)this.fontConfig).getTextComponentFontName(this.familyName, style);
        }
    }
    
    @Override
    protected char getMissingGlyphCharacter() {
        return '❑';
    }
    
    private static native void initIDs();
    
    static {
        initIDs();
    }
}
